Using VTune(TM) Amplifier XE 2015 Beta co-existed with XE 2013

When you installed old VTune(TM) Amplifier XE 2013, the installer will detect prior product and ask you to uninstall it first then install new Update.

Now if you install VTune(TM) Amplifier XE 2015 Beta, the installer will not ask above and installing XE 2015 version directly. It means XE 2015 version can co-exist with XE 2013 version. But what do you need to do elase?

1. XE 2015 installation directory should be placed in different directory of XE 2013

Default directory of XE 2015:

/opt/intel/vtune_amplifier_xe_2015, for root user

$HOME/intel/vtune_amplifier_xe_2015, for regular users.

Default directory of XE 2013:

/opt/intel/vtune_amplifier_xe_2013, for root user

$HOME/intel/vtune_amplifier_xe_2013, for regular users.

2. If you want to use specific XE version, run corresponding script to establish the VTune Amplifier XE enviornment

For example:

source /opt/intel/vtune_amplifier_xe_2015/amplxe-vars.sh,

source /opt/intel/vtune_amplifier_xe_2013/amplxe-vars.sh

3. If you are using XE 2015 version, and running vtune's drivers are XE 2013 based, you have to remove drivers of XE 2013 version, and install XE 2015 versions. For example,

/opt/intel/vtune_amplifier_xe_2013/sepdk/src/rmmod-sep3

/opt/intel/vtune_amplifier_xe_2015/sepdk/src/insmod-sep3

 

Para obter informações mais completas sobre otimizações do compilador, consulte nosso aviso de otimização.